List Optimization Runs
List workspace optimization runs with keyset pagination.
Query Parameters
status?|
Filter by exact run status.
limit?Limit
Range
0 < value <= 100Default
50cursor?string|null
Header Parameters
x-workspace-id?|
Workspace UUID for session-authenticated calls.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/optimization-runs"{ "next_page_cursor": "string", "query": {}, "has_more": true, "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "goal": "string", "status": "preparing", "can_retry": false, "config": { "agent_model": "standard", "evaluator_id": "92c2c259-25b9-47e2-bc3b-bd161a87f750", "models_in_scope": [ "string" ], "max_experiments": 0 }, "usage": { "agent_turns": 0, "agent_input_tokens": 0, "agent_cached_input_tokens": 0, "agent_output_tokens": 0, "agent_reasoning_tokens": 0, "experiments_created": 0 }, "created_by_user_id": "209f54c4-4c33-43bc-9c6a-ef4c65ad7473", "created_by_user_name": "string", "created_by_service_account_id": "5434fcf1-291e-49ce-ac43-2f469070b2f5", "created_by_service_account_name": "string", "created_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "retry_idle_ms": 0 } ]}